Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236195 - vga= values result in black screen
Summary: vga= values result in black screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Don Zickus
QA Contact: Martin Jenner
URL:
Whiteboard:
: 216528 234448 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 13:48 UTC by Jim Perrin
Modified: 2018-10-19 21:15 UTC (History)
11 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:46:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Jim Perrin 2007-04-12 13:48:16 UTC
Description of problem:
vga= values which worked with rhel4 no longer work with rhel5

Version-Release number of selected component (if applicable):
2.6.18-x

How reproducible:
always

Steps to Reproduce:
1. append vga=0x31A (or other fb values for decent console resolution)
2. reboot
3. removing rhgb and quiet does not help
  
Actual results:
black screen

Expected results:
better console resolution than 80x25. for example 1024x768. 

Additional info:

Comment 1 Fabian Arrotin 2007-04-18 19:02:57 UTC
Is it possible to have vesafb support back in the kernel ? 
Really annoying to have a 17inch flat screen in a computer room than can only
handle 80x25 when you need to fix something at the console ...

Comment 2 Jim Perrin 2007-04-20 14:21:57 UTC
Seems that vesa support is no longer built into the kernel for some reason. See
below:

[root@gordnbdotllc006 boot]# grep -i vesa config-2.6.18-8.1.1.el5
# CONFIG_FB_VESA is not set

Hopefully someone at rh can shed some light on why this was removed. I consider
it to be highly useful. 

Comment 3 Peter Martuccelli 2007-04-20 17:06:18 UTC
Don will look into setting CONFIG_FB_VESA support on in RHEL 5.1.

Comment 4 RHEL Product and Program Management 2007-04-20 17:44:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jim Perrin 2007-04-21 14:58:51 UTC
Thanks for the follow-up on this bug. Is this something that would be considered
for fastrack inclusion, if a rebuild for something else is required later on, or
will this strictly a 5.1 thing?

Comment 6 Peter Martuccelli 2007-04-26 16:10:26 UTC
*** Bug 216528 has been marked as a duplicate of this bug. ***

Comment 8 Gilboa Davara 2007-05-05 13:40:24 UTC
Yet another vote for CONFIG_VESA.

Never the less, if VESA is disabled, why doesn't the kernel just ignore the
vga=xxx command instead of displaying garbled image?

Either way (pending fix), I'd suggest you add a note about it in the release
notes/known issues.

- Gilboa


Comment 9 Don Zickus 2007-05-09 18:25:44 UTC
committed in 2.6.18-18.el5

Comment 10 Jim Perrin 2007-05-09 18:39:10 UTC
Is this available for testing anywhere? 

Comment 11 Don Zickus 2007-05-09 19:31:29 UTC
yes, people.redhat.com/dzickus/el5/18.el5


Comment 12 Patrick C. F. Ernzer 2007-05-13 22:59:13 UTC
*** Bug 234448 has been marked as a duplicate of this bug. ***

Comment 13 Ian Laurie 2007-05-14 00:32:03 UTC
VESA framebuffer support in kernel-2.6.18-18.el5.i686.rpm is working well for me
so far.


Comment 14 Jim Perrin 2007-05-15 00:27:36 UTC
Seems to be working just fine here as well. 

Comment 16 Ian Laurie 2007-05-19 03:03:03 UTC
Don, I notice your have posted a later kernel, kernel-2.6.18-19.el5, and it also
has VESA support, does this later one fix some of the current errata issues
described in Security Advisory RHSA-2007:0347-2 ?  I am currently still running
2.6.18-18.


Comment 17 Don Zickus 2007-05-29 14:43:26 UTC
I am not sure. You will need to know what bugzilla number the advisory is
refering to and then you can check the kernel changelog to see if -19.el5 has
the appropriate fix.

Or a faster way is to see if the bugzilla number is in a MODIFIED state.  If so
then I should have a comment embeded stating which build that patch went into.



Comment 21 errata-xmlrpc 2007-11-07 19:46:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.